cutlass::NumericConverterClamp< T, S > Struct Template Reference

`#include <numeric_conversion.h>`

## Public Types

using | result_type = T
using | source_type = S

## Public Member Functions

CUTLASS_HOST_DEVICE result_type | operator() (source_type const &s)

## Static Public Member Functions

static CUTLASS_HOST_DEVICE result_type | convert (source_type const &s)

## Member Typedef Documentation

template<typename T , typename S >

using cutlass::NumericConverterClamp< T, S >::result_type = T

template<typename T , typename S >

using cutlass::NumericConverterClamp< T, S >::source_type = S

## Member Function Documentation

template<typename T , typename S >

static CUTLASS_HOST_DEVICE result_type cutlass::NumericConverterClamp< T, S >::convert | ( | source_type const & | s | ) |

inlinestatic

template<typename T , typename S >

CUTLASS_HOST_DEVICE result_type cutlass::NumericConverterClamp< T, S >::operator() | ( | source_type const & | s | ) |

inline

The documentation for this struct was generated from the following file:

- numeric_conversion.h